{ config, pkgs, ... }:
{

  # Configurations are set in disko-config.nix!

  # mdadm.conf generated by `mdadm --detail --scan`
  # TODO
  boot.swraid.enable = true;
  boot.swraid.mdadmConf = ''
    MAILADDR root
  '';

  # TODO: RAID Monitoring
  # TODO: Set spin-down time of physical disks

  services.fwupd.daemonSettings.EspLocation = pkgs.lib.mkForce config.disko.devices.disk.system-1.content.partitions.boot.content.mountpoint;

  # Use the systemd-boot EFI boot loader.
  boot.loader.efi.canTouchEfiVariables = true;
  boot.loader.grub = {
    enable = true;
    efiSupport = true;
    mirroredBoots = [
      {
        devices = [ "nodev" ];
        path = "/boot-primary";
        efiBootloaderId = "NixOS primary";
      }
      {
        devices = [ "nodev" ];
        path = "/boot-secondary";
        efiBootloaderId = "NixOS secondary";
      }
    ];
  };
}
